import { HttpClient } from '@angular/common/http';
import { ApiVisa, BaseApiTemplateService } from '../../shared';
import { FrameContainerModel } from '../../../../../../models';
import { Observable } from 'rxjs';
export declare class FrameFileService extends BaseApiTemplateService<FrameContainerModel> {
    endpointSubPath: string;
    constructor(http: HttpClient);
    createFrameWithFile(formData: FormData, visa: ApiVisa): Observable<Object>;
    updateFrameWithFile(formData: FormData, visa: ApiVisa): Observable<Object>;
    updateFile(formData: FormData, hdrGuid: any, visa: ApiVisa): Observable<Object>;
    getFile(guid: string, visa: ApiVisa): Observable<Blob>;
}
